oyCMM_s Struct Reference
Description: C source code API documentation for the Oyranos project.
Keywords: Oyranos,Color Management,Color Management,ICC,CMS,C,doxygen,API,documentation

| Oyranos Color Management System API - Version 0.9.6

Data Fields
oyCMM_s Struct Reference
Backend Modules

The CMM API resources struct to implement and set by a CMM. More...

`#include <oyCMM_s.h>`

Inheritance diagram for oyCMM_s:
Collaboration diagram for oyCMM_s:

## Data Fields
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...
char | cmm [8]
char * | backend_version
oyCMMGetText_f | getText
char ** | texts
int | oy_compatibility
oyCMMapi_s * | api
oyIcon_s * | icon
int(* | init )(oyStruct_s *library)
Data Fields inherited from oyStruct_s
const oyOBJECT_e | type_
| Type of object. More...
oyStruct_Copy_f | copy
| Copy function. More...
oyStruct_Release_f | release
| Release function. More...
oyObject_s | oy_
| Oyranos internal object. More...

## Additional Inherited Members
Public Member Functions inherited from oyStruct_s
const char * | oyStruct_GetTextFromModule (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| get object infos from a module More...
const char * | oyStruct_GetText (oyStruct_s *obj, oyNAME_e name_type, uint32_t flags)
| Get a text dump. More...
| oyStruct_RegisterStaticMessageFunc
| register a function for verbosity More...
| oyStruct_GetInfo
| get a additional string from a object More...
const char * | oyStructTypeToText (oyOBJECT_e type)
| Objects type to small string. More...

## Detailed Description

The CMM API resources struct to implement and set by a CMM.

See also
  Extending Oyranos

Examples:
  oyranos_cmm_oJPG.c.

## Field Documentation

## ◆ api

oyCMMapi_s* oyCMM_s::api

must be casted to a according API, zero terminated list

Examples:
  oyranos_cmm_oJPG.c.

## ◆ backend_version

char* oyCMM_s::backend_version

non translatable, eg "v1.17"

## ◆ cmm

char oyCMM_s::cmm[8]

ICC signature, eg 'lcms'

## ◆ copy

oyStruct_Copy_f oyCMM_s::copy

Copy function.

## ◆ getText

oyCMMGetText_f oyCMM_s::getText

translated, e.g. "name": "lcms" "little cms" "A CMM with 100k ..." supported should be "name", "copyright" and "manufacturer". Optional is "help".

## ◆ icon

oyIcon_s* oyCMM_s::icon

module icon

## ◆ init

int(* oyCMM_s::init) (oyStruct_s *library)

should be called before any access to members of oyCMMinfo_s

## ◆ oy_

oyObject_s oyCMM_s::oy_

Oyranos internal object.

Features name and hash. Do not change during object life time.

## ◆ oy_compatibility

int oyCMM_s::oy_compatibility

last supported Oyranos CMM API : OYRANOS_VERSION

## ◆ release

oyStruct_Release_f oyCMM_s::release

Release function.

## ◆ texts

char** oyCMM_s::texts

zero terminated list for getText

## ◆ type_

const oyOBJECT_e oyCMM_s::type_

Type of object.

oyOBJECT_CMM_INFO_S The struct type tells Oyranos how to interprete hidden fields.